
<?php echo $header;?>
<?php echo $column_left;?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-module" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach($breadcrumb as $breadcrumbs) { ?>
                <li><a href="<?php echo $breadcrumb.href; ?>"><?php echo $breadcrumb.text; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        <?php if ($error_warning) { ?>
        <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
            </div>
            <div class="panel-body">
                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-module" class="form-horizontal">
                    <ul class="nav nav-tabs">
                        <li class="active"><a href="#tab-general" data-toggle="tab"><?php echo $tab_general; ?></a></li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab-general">
                            <div class="form-group required">
                                <label class="col-sm-2 control-label" for="input-name"><?php echo $entry_name; ?></label>
                                <div class="col-sm-10">
                                    <input type="text" name="name" value="<?php echo $name; ?>" id="input-name" class="form-control" />
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-type"><?php echo $entry_type; ?></label>
                                <div class="col-sm-10">
                                    <select name="type" id="input-type" class="form-control">
                                        <?php if (type == 'register') { ?>
                                        <option value="register" selected="selected"><?php echo $text_register; ?></option>
                                        <?php } else { ?>
                                        <option value="register"><?php echo $text_register; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'affiliate') { ?>
                                        <option value="affiliate" selected="selected"><?php echo $text_affiliate; ?></option>
                                        <?php } else { ?>
                                        <option value="affiliate"><?php echo $text_affiliate; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'order') { ?>
                                        <option value="order" selected="selected"><?php echo $text_order; ?></option>
                                        <?php } else { ?>
                                        <option value="order"><?php echo $text_order; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'forgotten') { ?>
                                        <option value="forgotten" selected="selected"><?php echo $text_forgotten; ?></option>
                                        <?php } else { ?>
                                        <option value="forgotten"><?php echo $text_forgotten; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'reward') { ?>
                                        <option value="reward" selected="selected"><?php echo $text_reward; ?></option>
                                        <?php } else { ?>
                                        <option value="reward"><?php echo $text_reward; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'account_approve') { ?>
                                        <option value="account_approve" selected="selected"><?php echo $text_account_approve; ?></option>
                                        <?php } else { ?>
                                        <option value="account_approve"><?php echo $text_account_approve; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'account_transaction') { ?>
                                        <option value="account_transaction" selected="selected"><?php echo $text_account_transaction; ?></option>
                                        <?php } else { ?>
                                        <option value="account_transaction"><?php echo $text_account_transaction; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'affiliate_approve') { ?>
                                        <option value="affiliate_approve" selected="selected"><?php echo $text_affiliate_approve; ?></option>
                                        <?php } else { ?>
                                        <option value="affiliate_approve"><?php echo $text_affiliate_approve; ?></option>
                                        <?php } ?>
                                        <?php if (type == 'affiliate_transaction') { ?>
                                        <option value="affiliate_transaction" selected="selected"><?php echo $text_affiliate_transaction; ?></option>
                                        <?php } else { ?>
                                        <option value="affiliate_transaction"><?php echo $text_affiliate_transaction; ?></option>
                                        <?php } ?>
                                        <?php foreach($order_status as $order_statuses) { ?>
                                        <?php if (order_status.order_status_id == type) { ?>
                                        <option value="<?php echo $order_status.order_status_id; ?>" selected="selected"><?php echo $text_status; ?> <?php echo $order_status.name; ?></option>
                                        <?php } else { ?>
                                        <option value="<?php echo $order_status.order_status_id; ?>"><?php echo $text_status; ?> <?php echo $order_status.name; ?></option>
                                        <?php } ?>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-store"><?php echo $entry_store; ?></label>
                                <div class="col-sm-10">
                                    <select name="store_id" class="form-control">
                                        <?php if (!$store_id) { ?>
                                        <option value="0" selected="selected"><?php echo $text_default; ?></option>
                                        <?php } else { ?>
                                        <option value="0"><?php echo $text_default; ?></option>
                                        <?php } ?>
                                        <?php foreach($store as $stores) { ?>
                                        <?php if ($store_id == $store.store_id) { ?>
                                        <option value="<?php echo $store.store_id; ?>" selected="selected"><?php echo $store.name; ?></option>
                                        <?php } else { ?>
                                        <option value="<?php echo $store.store_id; ?>"><?php echo $store.name; ?></option>
                                        <?php } ?>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-bcc"><?php echo $entry_bcc; ?></label>
                                <div class="col-sm-10">
                                    <input type="text" name="bcc" value="<?php echo $bcc; ?>" class="form-control" />
                                </div>
                            </div>
                            <ul id="languages" class="nav nav-tabs">
                                <?php foreach($language in $languages) { ?>
                                <li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="language/<?php echo $language.code; ?>/<?php echo $language.code; ?>.png" title="<?php echo $language.name}}" /> <?php echo $language.name; ?></a></li>
                                <?php } ?>
                            </ul>
                            <div class="tab-content">
                                <?php foreach($language in $languages) { ?>
                                <div id="language<?php echo $language['language_id']; ?>" class="tab-pane">
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-opt-send-<?php echo $language['language_id']; ?>"><?php echo $entry_opt_send; ?></label>
                                        <div class="col-sm-10">
                                            <?php if (description[$language['language_id']].otp_send == 1) { ?>
                                            <input type="checkbox" id="input-user-opt-send-<?php echo $language['language_id']; ?>" name="description[<?php echo $language['language_id']; ?>][otp_send]" value="1" checked>
                                            <?php } else { ?>
                                            <input type="checkbox" id="input-user-opt-send-<?php echo $language['language_id']; ?>" name="description[<?php echo $language['language_id']; ?>][otp_send]" value="1">
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label" for="input-description-<?php echo $language['language_id']; ?>"><?php echo $entry_message; ?></label>
                                        <div class="col-sm-10">
                                            <input name="description[<?php echo $language['language_id']; ?>][message_number]" id="input-description-<?php echo $language['language_id']; ?>" class="form-control<?php if (not description[language['language_id']].otp_send) { ?> hidden <?php } ?>" value="<?php echo $description[language['language_id']].message_number; ?>">
                                            <textarea name="description[<?php echo $language['language_id']; ?>][message]" id="input-description-<?php echo $language['language_id']; ?>" class="form-control <?php if (description[language['language_id']].otp_send) { ?> hidden <?php } ?>" rows="5"><?php echo $description[language['language_id']].message; ?></textarea>
                                            <div id="length-<?php echo $language['language_id']; ?>"></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-admin-opt-send-<?php echo $language['language_id']; ?>"><?php echo $entry_opt_send; ?></label>
                                        <div class="col-sm-10">
                                            <?php if (description[language['language_id']].admin_otp_send == 1) { ?>
                                            <input type="checkbox" id="input-admin-opt-send-<?php echo $language['language_id']; ?>" name="description[<?php echo $language['language_id']; ?>][admin_otp_send]" value="1" checked>
                                            <?php } else { ?>
                                            <input type="checkbox" id="input-admin-opt-send-<?php echo $language['language_id']; ?>" name="description[<?php echo $language['language_id']; ?>][admin_otp_send]" value="1">
                                            <?php } ?>                                            </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-admindescription-<?php echo $language['language_id']; ?>"><?php echo $entry_adminmessage; ?></label>
                                        <div class="col-sm-10">
                                            <input name="description[<?php echo $language['language_id']; ?>][adminmessage_number]" id="input-admindescription-<?php echo $language['language_id']; ?>" class="form-control <?php if (not description[language['language_id']].admin_otp_send) { ?> hidden <?php } ?>" value="<?php echo $description[language['language_id']].adminmessage_number; ?>">
                                            <textarea name="description[<?php echo $language['language_id']; ?>][adminmessage]" id="input-admindescription-<?php echo $language['language_id']; ?>" class="form-control <?php if (description[language['language_id']].admin_otp_send) { ?> hidden <?php } ?>" rows="5"><?php echo $description[language['language_id']].adminmessage; ?></textarea></td>
                                            <div id="length-adminmessage-<?php echo $language['language_id']; ?>"></div>
                                        </div>
                                    </div>
                                </div>
                                <?php } ?>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label"><?php echo $text_code; ?></label>
                                <div class="col-sm-10">
                                    <div id="code"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript"><!--
  $('select[name=\'type\']').on('change', function() {
    var html = '';

    var value = $('select[name=\'type\']').val();

    if (value == 'register') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>موبایل - {telephone}</td>';
      html += '    <td>رمز عبور - {password}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'affiliate') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>موبایل - {telephone}</td>';
      html += '    <td>رمز عبور - {password}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'order') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>شماره سفارش - {order_id}</td>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>موبایل - {telephone}</td>';
      html += '  </tr>';
      html += '  <tr>';
      html += '    <td>تاریخ - {date_added}</td>';
      html += '    <td>نحوه پرداخت - {payment_method}</td>';
      html += '    <td>نحوه ارسال - {shipping_method}</td>';
      html += '    <td>آدرس IP - {ip}</td>';
      html += '    <td>آدرس صورتحساب - {payment_address}</td>';
      html += '  </tr>';
      html += '  <tr>';
      html += '    <td>آدرس تحویل - {shipping_address}</td>';
      html += '    <td>محصولات خرید شده - {products}</td>';
      html += '    <td>توضیح سفارش - {order_comment}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'forgotten') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>پسوورد یا آدرس ریست پسوورد - {password}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'reward') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>امتیاز - {points}</td>';
      html += '    <td>جمع امتیازات - {total_points}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'account_approve') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'account_transaction') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>اعتبار - {credits}</td>';
      html += '    <td>جمع اعتبار - {total_credits}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'affiliate_approve') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '  </tr>';
      html += '</table>';
    } else if (value == 'affiliate_transaction') {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>Commission - {commission}</td>';
      html += '    <td>Total Commission - {total_commission}</td>';
      html += '  </tr>';
      html += '</table>';
    } else {
      html += '<table class="table">';
      html += '  <tr>';
      html += '    <td>شماره سفارش - {order_id}</td>';
      html += '    <td>نام - {firstname}</td>';
      html += '    <td>نام خانوادگی - {lastname}</td>';
      html += '    <td>ایمیل - {email}</td>';
      html += '    <td>موبایل - {telephone}</td>';
      html += '  </tr>';
      html += '  <tr>';
      html += '    <td>تاریخ - {date_added}</td>';
      html += '    <td>نحوه پرداخت - {payment_method}</td>';
      html += '    <td>نحوه ارسال - {shipping_method}</td>';
      html += '    <td>آدرس IP - {ip}</td>';
      html += '    <td>آدرس صورتحساب - {payment_address}</td>';
      html += '  </tr>';
      html += '  <tr>';
      html += '    <td>آدرس تحویل - {shipping_address}</td>';
      html += '    <td>محصولات خرید شده - {products}</td>';
      html += '    <td>توضیح سفارش - {order_comment}</td>';
      html += '  </tr>';
      html += '</table>';
    }

    $('#code').html(html);
  });

  $('select[name=\'type\']').trigger('change');

    <?php foreach($language in languages ?>
  $('#input-description-<?php echo $language['language_id']; ?>').on('keyup', function() {
    if(!$(this).hasClass('pattern')){
      var unit = Math.ceil($(this).val().length / 64);

      $('#length-<?php echo $language['language_id']; ?> ').html('تقریباً ' + $(this).val().length + ' کاراکتر. (' + unit + ' صفحه پیامک)');
    }
  });
  $('#input-user-opt-send-<?php echo $language['language_id']; ?>').on('change',function () {
    if(this.checked) {
      $('input#input-description-<?php echo $language['language_id']; ?>').removeClass('hidden');
      $('textarea#input-description-<?php echo $language['language_id']; ?>').addClass('hidden');
    }else {
      $('textarea#input-description-<?php echo $language['language_id']; ?>').removeClass('hidden');
      $('input#input-description-<?php echo $language['language_id']; ?>').addClass('hidden');
    }
  });
  $('#input-admin-opt-send-<?php echo $language['language_id']; ?>').on('change',function () {
    if(this.checked) {
      $('input#input-admindescription-<?php echo $language['language_id']; ?>').removeClass('hidden');
      $('textarea#input-admindescription-<?php echo $language['language_id']; ?>').addClass('hidden');
    }else {
      $('textarea#input-admindescription-<?php echo $language['language_id']; ?>').removeClass('hidden');
      $('input#input-admindescription-<?php echo $language['language_id']; ?>').addClass('hidden');
    }
  });

  $('textarea#input-description-<?php echo $language['language_id']; ?>').trigger('keyup');
  $('textarea#input-admindescription-<?php echo $language['language_id']; ?>').on('keyup', function() {
    if(!$(this).hasClass('pattern')){
      var unit = Math.ceil($(this).val().length / 64);

      $('#length-adminmessage-<?php echo $language['language_id']; ?> ').html('تقریباً ' + $(this).val().length + ' کاراکتر. (' + unit + ' صفحه پیامک)');
    }
  });

  $('#input-admindescription-<?php echo $language['language_id']; ?>').trigger('keyup');
    <?php } ?>

  $('#languages a:first').tab('show');

  $(document).ready(function(){
    $('textarea').after('<div><span class="pattern-wizard">ابزار تنظیم پترن</span><span class="pattern-test">تست پیامک (بدون جایگذاری متغیرها)</span><div class="panel-modal"></div>');
    $(".pattern-wizard").click(function(){
      var paternmodal = $(this).parent().find('.panel-modal');
      var targettextarea = $(this).parents('.form-group').find('textarea');
      paternmodal.show(300);
      modalbody = '<div class="onlinepattern"><div class="form-group"><label>کد الگو:</label><input class="patterncodeinput form-control" placeholder="کد الگوی مورد نظر خود را وارد نمایید" ><button class="btn btn-default onlinepcodechecker" type="button">بررسی الگو</button></div><div class="pattern-message"></div><div class="pcodecheckresult"></div><div><button class="btn btn-default patterninsert hidden" type="button">ثبت الگو در کادر پیامک</button></div></div><div class="helppattern"><p><b>راهنما:</b> برای استفاده از سیستم پترن برای ارسال سریع پیامک باید یک متن پیامک به دلخواه خود در سامانه پیامک ثبت کنید.</p> پس از ثبت و تایید پترن از بخش تنظیم پترن به صورت آنلاین کد پترن را درج و متغیرهای هر پارامتر را وارد نمایید.</div>';

      paternmodal.html(modalbody);
      $('.onlinepcodechecker').click(function(){
        var patterncodeinput = $(this).parent().find('.patterncodeinput');
        var onlinepattern = $(this).parents('.onlinepattern');
        var patternmessage = onlinepattern.find('.pattern-message');
        var pcodecheckresult = onlinepattern.find('.pcodecheckresult');

        pcode = patterncodeinput.val();
        var query = $.ajax({
          type: 'POST',
          url: 'index.php?route=extension/module/smsirv2/checkpattern&user_token=<?php echo $user_token; ?>',
          data: 'pcode=' + pcode,
          dataType: 'json',
          beforeSend: function(){
            patternmessage.html('<i class="process-icon-loading"></i>');
          },
          success: function(json) {
            if(json.status == 0){
              patternmessage.html(json.message.replace("\n","<br>"));
              var pvars = json.vars;
              var output = '<p>لطفاً پارامترهای پترن را با متغیرهای سایت تکمیل نمایید.</p>';
              pvars.forEach(function(value, index, array){
                output += '<div><label>'+value+'</label><input type="text"/></div>';
              });
              pcodecheckresult.html(output);
              onlinepattern.find('.variableshelp,.patterninsert').removeClass('hidden');

              $(this).addClass('hidden');
              patternoutput = 'pcode:'+pcode.trim();
              onlinepattern.find('.patterninsert').click(function(){
                onlinepattern.find('.pcodecheckresult div').each(function(){
                  patternoutput += "\n"+$(this).find('label').text()+':'+$(this).find('input').val().trim();
                })
                targettextarea.val(patternoutput).addClass('pattern');
                paternmodal.hide(300);
                var lang = targettextarea.attr('id').split('-');
                $('#length-'+lang[2]).html('پس از جایگذاری متغیرها بیش از ' + json.message.length + ' کاراکتر خواهد شد. (' + Math.ceil(json.message.length / 64) + ' صفحه پیامک)');
              });
            }else if(json.status == 997 || json.status == 404){
              patternmessage.html('این الگو در دسترس شما نیست.');
            }
          }
        });
      });
    });
    $('.pattern-test').on('click',function(){
      $('.send-test-sms-mobile').parent().remove();
      var targettextarea = $(this).parents('.form-group').find('textarea');
      var trid = targettextarea.attr('id')
      $(this).after('<div><input class="send-test-sms-mobile" id="'+trid+'_test_mobile" type="text" placeholder="mobile" /><span class="send-test-sms-btn" id="'+trid+'_sendTestSms">ارسال</span><br><span class="result"></span></div>');
      $('#'+trid+'_sendTestSms').on('click',function(){
        var phone = $('input#'+trid+'_test_mobile').val();
        var body = $('#'+trid).val();
        var result = sms_test(phone,body,$(this).parent().find('span.result'));
        if(result == 'phonenotfound') {
          $('input#'+trid+'_test_mobile').focus();
          return false;
        }else if(result == 'bodyisempty'){
          targettextarea.focus();
          return false;
        }

      });
      return false;
    });
  });
  function sms_test(phone,body,resultbox){
    if ( phone === '' ) {
      alert('لطفاً یک شماره همراه برای دریافت پیامک تست وارد کنید.');
      return 'phonenotfound';
    }
    if ( body === '' ) {
      alert('متن پیامک خالی هست.');
      return 'bodyisempty';
    }
    var data  = {
      action : 'sms_test',
      phonenumber : phone,
      smstext : body,
    };
    resultbox.html('<span style="color:blue">در حال ارسال...</span>');
    $.post( 'index.php?route=extension/module/smsirv2/sms_test&user_token=<?php echo $user_token; ?>', data, function( resp ) {
      console.log(resp);
      if ( resp.result == 'true' ) {
        resultbox.html('<span style="color:green">پیامک تست ارسال شد.</span>');
      }else{
        resultbox.html('<span style="color:red">پیامک ارسال نشد. خطای. '+resp.result+'</span>');
      }
    });
    return false;
  }
  //--></script>
<style>
    .pattern-wizard, .pattern-test {
        background: #1e91cf;
        border-radius: 5px;
        margin: 5px;
        display: inline-block;
        padding: 5px 10px;
        color: #fff;
        font-weight: bold;
        font-size: 14px;
        cursor: pointer;
    }
    .panel-modal {
        border: 1px solid #ddd;
        background: #dfdfdf;
        width: 100%;
        padding: 10px;
        direction: rtl;
        font-size: 14px;
        display:none;
    }
    .panel-modal .pattern-message {
        background: #eee;
        padding: 10px;
        border-radius: 10px;
        color: blue;
    }
    .onlinepattern {
        background: #fff;
        padding: 10px;
        border-radius: 5px;
    }
    .onlinepattern label {
        display: inline-block;
        padding: 0 0 0 10px;
    }
    .panel-modal label {
        min-width: 100px;
    }
    .panel-modal input {
        border: 1px solid #aaa;
        padding: 5px 8px;
        width: 220px;
        display: inline-block;
    }
    .panel-modal .hidden{
        display: none;
    }
    .onlinepattern .form-group {
        margin: 0 0 10px 0;
    }
    .panel-modal .onlinepcodechecker,.panel-modal .patterninsert {
        padding: 4px;
        margin: 0 5px;
    }
    .pcodecheckresult div {
        margin-bottom: 5px;
    }
    .send-test-sms-btn {
        background: #31a92e;
        border-radius: 5px;
        margin: 2px;
        display: inline-block;
        padding: 5px 10px;
        color: #fff;
        font-size: 14px;
        cursor: pointer;
    }
</style>
<?php echo $footer; ?>
