
<?php echo $header;?>
<?php echo $column_left;?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
		<a href="<?php echo $insert; ?>" title="<?php echo $button_insert; ?>" data-toggle="tooltip" class="btn btn-success"><i class="fa fa-plus"></i></a>
        <button type="submit" form="form-module" onclick="$('#form-module').attr('action', '<?php echo $copy; ?>');" data-toggle="tooltip" title="<?php echo $button_copy; ?>" class="btn btn-info"><i class="fa fa-copy"></i></button>
        <button type="submit" form="form-module" data-toggle="tooltip" title="<?php echo $button_delete; ?>" class="btn btn-danger"><i class="fa fa-trash-o"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb.href; ?>"><?php echo $breadcrumb.text; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if (error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
	<?php if (success) { ?>
    <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">

		  <ul class="nav nav-tabs">
            <li class="active"><a href="#tab-config" data-toggle="tab"><?php echo $tab_config; ?></a></li>
            <li><a href="#tab-list" data-toggle="tab"><?php echo $tab_list; ?></a></li>
            <li><a href="#tab-sendsms" data-toggle="tab"><?php echo $tab_sendsms; ?></a></li>
            <li><a href="#tab-sendtoall" data-toggle="tab"><?php echo $tab_sendtoall; ?></a></li>
          </ul>
		  <div class="tab-content form-horizontal">
		    <div class="tab-pane active" id="tab-config">
				<div class="col-sm-4">
					<div class="panel panel-default panel-floating panel-floating-inline">
					<div class="panel-body">
					  <p class="text-muted">این افزونه شما را قادر می سازد در رویدادهای مختلف سایت پیامک مناسب ارسال نمایید. شما می توانید از تب ارسال پیامک افزونه، پیامک به یک یا چند شماره ارسال نمایید. همچنین ارسال پیامک بر اساس پترن با امکان ارسال بسیار سریع در این افزونه فراهم است.</p>
					  <?php echo $smsirv2_panel_data; ?>
					</div>
					</div>
				</div>

				 <div class="col-sm-8">
					<div class="panel panel-default panel-floating panel-floating-inline">
					<div class="panel-body">
					  <div class="form-group">
						<label for="input-username" class="col-sm-2"><?php echo $entry_username; ?></label>
						<div class="col-sm-10">
						  <input type="text" name="smsirv2_username" value="<?php echo $smsirv2_username; ?>" id="input-username" class="form-control" />
						</div>
					  </div>

					  <div class="form-group">
						<label for="input-api-key" class="col-sm-2"><?php echo $entry_api_key; ?></label>
						<div class="col-sm-10">
						  <input type="text" name="smsirv2_api_key" value="<?php echo $smsirv2_api_key; ?>" id="input-api-key" class="form-control" />
						  <input type="hidden" name="module_smsirv2_status" value="1" />
						</div>
					  </div>

					  <div class="form-group">
						<label for="input-line-number" class="col-sm-2"><?php echo $entry_line_number; ?></label>
						<div class="col-sm-10">
						  <input type="text" required name="smsirv2_line_number" value="<?php echo $smsirv2_line_number; ?>" id="input-line-number" class="form-control" />
						</div>
					  </div>

					  <div class="form-group">
						<label for="input-debug" class="col-sm-2"><?php echo $entry_debug; ?></label>
						<div class="col-sm-10">
						  <select name="smsirv2_debug" id="input-debug" class="form-control">
						  <option value="1"<?php echo $smsirv2_debug ? ' selected="selected"' : ''; ?>><?php echo $text_enabled; ?></option>
						  <option value="0"<?php echo $not smsirv2_debug ? ' selected="selected"' : ''; ?>><?php echo $text_disabled; ?></option>
						  </select>
						</div>
					  </div>

					  <div class="form-group">
						<div class="col-sm-12 text-right">
						  <button type="button" id="button-update" class="btn btn-primary"><i class="fa fa-save"></i></button>
						</div>
					  </div>
					 </div>
				   </div>
				</div>
			</div>


            <div class="tab-pane table-responsive" id="tab-list">
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-module" class="form-horizontal">
			  <table class="table table-bordered table-hover">
				<thead>
				<tr>
				  <td width="1" style="text-align: center;"><input type="checkbox" onclick="$('input[name*=\'selected\']').attr('checked', this.checked);" /></td>
				  <td class="text-left"><?php if (sort == 'name') { ?>
					<a href="<?php echo $sort_name; ?>" class="<?php echo $order|lower; ?>"><?php echo $column_name; ?></a>
					<?php } else { ?>
					<a href="<?php echo $sort_name; ?>"><?php echo $column_name; ?></a>
					<?php } ?></td>
				  <td class="text-left"><?php if (sort == 'type') { ?>
					<a href="<?php echo $sort_type; ?>" class="<?php echo $order|lower; ?>"><?php echo $column_type; ?></a>
					<?php } else { ?>
					<a href="<?php echo $sort_type; ?>"><?php echo $column_type; ?></a>
					<?php } ?></td>
				  <td class="text-left"><?php echo $column_store; ?></td>
				  <td class="text-right"><?php echo $column_action; ?></td>
				</tr>
				</thead>
				<tbody>
				<?php if (templates) { ?>
				  <?php foreach($templates as $template) { ?>
					<tr>
					  <td style="text-align: center;"><?php if (template.selected) { ?>
						<input type="checkbox" name="selected[]" value="<?php echo $template.sms_template_id; ?>" checked="checked" />
						<?php } else { ?>
						<input type="checkbox" name="selected[]" value="<?php echo $template.sms_template_id; ?>" />
						<?php } ?></td>
					  <td class="text-left"><?php echo $template.name; ?></td>
					  <td class="text-left"><?php echo $template.type; ?></td>
					  <td class="text-left"><?php echo $template.store; ?></td>
					  <td class="text-right"><?php foreach($template['action'] as $action) { ?>
						[ <a href="<?php echo $action.link; ?>"><?php echo $action.name; ?></a> ]<br />
						<?php } ?>
					</tr>
				  <?php } ?>
				<?php } else { ?>
				  <tr>
					<td class="text-center" colspan="5"><?php echo $text_no_results; ?></td>
				  </tr>
				<?php } ?>
				</tbody>
				</table>
				</form>
     		</div>
		    <div class="tab-pane" id="tab-sendsms">
				<form action = "<?php echo $sendsms_action; ?>" method="post" class="form-horizontal">
				 <div class="col-sm-12">
					<div class="panel panel-default panel-floating panel-floating-inline">
					<div class="panel-body">
					  <div class="form-group">
						<label for="input-phonenumber" class="col-sm-2"><?php echo $entry_phonenumber; ?></label>
						<div class="col-sm-10">
						  <input type="text" name="phonenumber" value="" id="input-phonenumber" class="form-control" />
						</div>
					  </div>

					  <div class="form-group">
						<label for="input-smstext" class="col-sm-2"><?php echo $entry_smstext; ?></label>
						<div class="col-sm-10">
						  <textarea name="smstext" id="input-smstext" class="form-control" ></textarea>
						</div>
					  </div>

					  <div class="form-group">
						<div class="col-sm-12 text-right">
						  <button type="button" id="button-sendsms" class="btn btn-primary"><i class="fa fa-send"></i></button>
						</div>
					  </div>
					 </div>
				   </div>
				</div>
			  </form>
			</div>
		    <div class="tab-pane" id="tab-sendtoall">
				<form action = "<?php echo $sendtoall_action; ?>" method="post" class="form-horizontal">
				 <div class="col-sm-12">
					<div class="panel panel-default panel-floating panel-floating-inline">
					<div class="panel-body">
					  <div class="form-group">
						<label for="input-phonenumber" class="col-sm-2"><?php echo $entry_select_customers; ?><br>تعداد گیرندگان: <span id="reciver-count"><?php echo $all_customers_count; ?></span></label>
						<div class="col-sm-10" id="smsirv2_filter_customers">
							<div class="col-sm-3">
								<label>وضعیت مشتری:</label>
								<select name="filter_customer_state" class="form-control">
									<option value="">انتخاب</option>
									<option value="1">فعال</option>
									<option value="0">غیرفعال</option>
								</select>
							</div>
							<div class="col-sm-3">
								<label>بازاریاب:</label>
								<select name="filter_customer_affiliate" class="form-control">
									<option value="">انتخاب</option>
									<option value="1">باشد</option>
									<option value="0">نباشد</option>
								</select>
							</div>
							<div class="col-sm-3">
								<label>خبرنامه:</label>
								<select name="filter_customer_newsletter" class="form-control">
									<option value="">انتخاب</option>
									<option value="1">عضو باشد</option>
									<option value="0">عضو نباشد</option>
								</select>
							</div>
							<div class="col-sm-3">
								<label>عضو گروه:</label>
								<select name="filter_customer_group_id" class="form-control">
									<option value="">انتخاب</option>
									<?php echo $customers_group_options; ?>
								</select>
							</div>
						</div>
					  </div>

					  <div class="form-group">
						<label for="input-smstexttoall" class="col-sm-2"><?php echo $entry_smstext; ?></label>
						<div class="col-sm-10">
						  <textarea name="smstexttoall" id="input-smstexttoall" class="form-control" ></textarea>
						  <p><label>متغیرهای قابل استفاده :</label>نام: {firstname} - نام خانوادگی: {lastname} - ایمیل: {email} - تلفن: {telephone}</p>
						  <p><b>توجه:</b> در صورت استفاده از متغیرها پیامک شما به صورت نظیر به نظیر ارسال می شود. یعنی برای هر مشتری یک ردیف در گزارشات سامانه پیامک درج می شود. در صورتی که اشتباهی در متن پیامک وجود داشته باشد انصراف از ارسال در سامانه مشکل خواهد شد.</p>
						</div>
					  </div>
					  <div class="form-group">
						<label for="input-sender" class="col-sm-2"><?php echo $entry_sender; ?></label>
						<div class="col-sm-10">
						  <input type="text" name="sender" value="<?php echo $smsirv2_default_from; ?>" id="input-sender" class="form-control" />
						  <p class="description"><?php echo $entry_sender_desc; ?></p>
						</div>
					  </div>
					  <div class="form-group">
						<div class="col-sm-12 text-right">
						  <button type="button" id="button-sendtoall" class="btn btn-primary"><i class="fa fa-send"></i></button>
						</div>
					  </div>
					 </div>
				   </div>
				</div>
			  </form>
			</div>
		  </div>

      </div>
    </div>
  </div>
</div>
<script type="text/javascript">
$('#smsirv2_filter_customers select').on('change',function(){
	$.ajax({
		url: 'index.php?route=extension/module/smsirv2/customercount&user_token=<?php echo $user_token; ?>',
		type: 'post',
		data: $('#smsirv2_filter_customers select'),
		dataType: 'json',
		beforeSend: function() {
			$('#reciver-count').html('<i class="fa fa-spinner fa-spin"></i>');
		},
		success: function(json) {
			$('#reciver-count .fa-spinner').remove();
			if(json.result == 'true'){
				$('#reciver-count').css('border', '1px solid #00ff00');
				$('#reciver-count').html(json.res);
			}else{
				$('#reciver-count').css('border', '1px solid #ff0000');
				$('#reciver-count').html(json.res);
			}
		},
		error: function(xhr, ajaxOptions, thrownError) {
			alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
		}
	});
});
$('#button-update').on('click', function() {
	$.ajax({
		url: 'index.php?route=extension/module/smsirv2/config&user_token=<?php echo $user_token; ?>',
		type: 'post',
		data: $('#tab-config input, #tab-config select'),
		dataType: 'json',
		beforeSend: function() {
			$('#button-update').after('<i class="fa fa-spinner fa-spin"></i>');
		},
		success: function(json) {
			$('.fa-spinner').remove();
			if(json.result == 'true'){
				$('#tab-config input').css('border', '1px solid #00ff00');
				$('#tab-config select').css('border', '1px solid #00ff00');
				$('.panelnotice').hide();
				alert('اطلاعات پنل شما درست بود. صفحه را برای نمایش اعتبار رفرش کنید.');
			}else{
				$('#tab-config input').css('border', '1px solid #ff0000');
				$('#tab-config select').css('border', '1px solid #ff0000');
				$('.panelnotice').hide();
				alert(json.panelcredit);
			}
		},
		error: function(xhr, ajaxOptions, thrownError) {
			alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
		}
	});

	return false;
});
$('#button-sendsms').on('click', function() {
	if($('#input-smstext').val() == '') {
		alert('متن پیامک خالی است!');
		return;
	};
	if($('#input-phonenumber').val() == '') {
		alert('شماره دریافت کننده وارد نشده است!');
		return;
	};
	$.ajax({
		url: 'index.php?route=extension/module/smsirv2/sendsms&user_token=<?php echo $user_token; ?>',
		type: 'post',
		data: $('#tab-sendsms input, #tab-sendsms textarea'),
		dataType: 'json',
		beforeSend: function() {
			$('#button-sendtoall').attr('disabled','disabled');
			$('.sendsmsresult').remove();
			$('#button-sendsms').after('<i class="fa fa-spinner fa-spin"></i>');
		},
		success: function(json) {
			$('.fa-spinner').remove();
			$('#button-sendtoall').removeAttr('disabled');
			switch(json.result){
				case true:
					$('#button-sendsms').before('<div class="sendsmsresult alert alert-success"><i class="fa fa-check-circle"></i> پیامک با موفقیت ارسال شد!<button type="button" class="close" data-dismiss="alert">×</button></div>');
				break;
				case false:
					$('#button-sendsms').before('<div class="sendsmsresult alert alert-danger"><i class="fa fa-exclamation-triangle"></i> پیامک ارسال نشد!<button type="button" class="close" data-dismiss="alert">×</button></div>');
				break;
				default:
					$('#button-sendsms').before('<div class="sendsmsresult alert alert-danger"><i class="fa fa-exclamation-triangle"></i> بروز خطا: '+json.result+'<button type="button" class="close" data-dismiss="alert">×</button></div>');
				break;
			}
		},
		error: function(xhr, ajaxOptions, thrownError) {
			alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
		}
	});

	return false;
});
$('#button-sendtoall').on('click', function() {

	if($('#input-smstexttoall').val() == '') {
		alert('متن پیامک خالی است!');
		return;
	};
	if($('#input-sender').val() == '') {
		alert('خط پیامکی ارسال کننده وارد نشده است!');
		return;
	};
	$.ajax({
		url: 'index.php?route=extension/module/smsirv2/sendtoall&user_token=<?php echo $user_token; ?>',
		type: 'post',
		data: $('#tab-sendtoall input, #tab-sendtoall select, #tab-sendtoall textarea'),
		dataType: 'json',
		beforeSend: function() {
			$('#button-sendtoall').attr('disabled','disabled');
			$('.sendsmsresult').remove();
			$('#button-sendtoall').after('<i class="fa fa-spinner fa-spin"></i>');
		},
		success: function(json) {
			$('.fa-spinner').remove();
			$('#button-sendtoall').removeAttr('disabled');
			switch(json.result){
				case 'true':
					$('#button-sendtoall').before('<div class="sendsmsresult alert alert-success"><i class="fa fa-check-circle"></i> پیامک با موفقیت به '+json.res+' مشتری ارسال شد!<button type="button" class="close" data-dismiss="alert">×</button></div>');
				break;
				case 'false':
					$('#button-sendtoall').before('<div class="sendsmsresult alert alert-danger"><i class="fa fa-exclamation-triangle"></i> پیامک ارسال نشد!'+json.res+'<button type="button" class="close" data-dismiss="alert">×</button></div>');
				break;
				default:
					$('#button-sendtoall').before('<div class="sendsmsresult alert alert-danger"><i class="fa fa-exclamation-triangle"></i> بروز خطا: '+json.result+'<button type="button" class="close" data-dismiss="alert">×</button></div>');
				break;
			}
		},
		error: function(xhr, ajaxOptions, thrownError) {
			alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
		}
	});

	return false;
});
$(document).ready(function(){
	$(".pattern-wizard").click(function(){
		var paternmodal = $(this).parent().find('.panel-modal');
		var targettextarea = $(this).parents('.form-group').find('textarea');
		paternmodal.show(300);
		modalbody = '<div class="onlinepattern"><div class="form-group"><label>کد الگو:</label><input class="patterncodeinput form-control" placeholder="کد الگوی مورد نظر خود را وارد نمایید" ><button class="btn btn-default onlinepcodechecker" type="button">بررسی الگو</button></div><div class="pattern-message"></div><div class="pcodecheckresult"></div><div><button class="btn btn-default patterninsert hidden" type="button">ثبت الگو در کادر پیامک</button></div></div><div class="helppattern"><p><b>راهنما:</b> برای استفاده از سیستم پترن برای ارسال سریع پیامک باید یک متن پیامک به دلخواه خود در سامانه پیامک ثبت کنید.</p> پس از ثبت و تایید پترن از بخش تنظیم پترن به صورت آنلاین کد پترن را درج و متغیرهای هر پارامتر را وارد نمایید.</div>';

		paternmodal.html(modalbody);
		$('.onlinepcodechecker').click(function(){
			var patterncodeinput = $(this).parent().find('.patterncodeinput');
			var onlinepattern = $(this).parents('.onlinepattern');
			var patternmessage = onlinepattern.find('.pattern-message');
			var pcodecheckresult = onlinepattern.find('.pcodecheckresult');

			pcode = patterncodeinput.val();
			var query = $.ajax({
				type: 'POST',
				url: 'index.php?route=extension/module/smsirv2/checkpattern&user_token=<?php echo $user_token; ?>',
				data: 'pcode=' + pcode,
				dataType: 'json',
				beforeSend: function(){
					patternmessage.html('<i class="process-icon-loading"></i>');
				},
				success: function(json) {
				  if(json.status == 0){
					patternmessage.html(json.message.replace("\n","<br>"));
					var pvars = json.vars;
					var output = '<p>لطفاً پارامترهای پترن را با متغیرهای سایت تکمیل نمایید.</p>';
					pvars.forEach(function(value, index, array){
						output += '<div><label>'+value+'</label><input type="text"/></div>';
					});
					pcodecheckresult.html(output);
					onlinepattern.find('.variableshelp,.patterninsert').removeClass('hidden');

					$(this).addClass('hidden');
					patternoutput = 'pcode:'+pcode.trim();
					onlinepattern.find('.patterninsert').click(function(){
						onlinepattern.find('.pcodecheckresult div').each(function(){
							patternoutput += "\n"+$(this).find('label').text()+':'+$(this).find('input').val().trim();
						})
						targettextarea.val(patternoutput).addClass('pattern');
						paternmodal.hide(300);
					});
				  }else if(json.status == 997 || json.status == 404){
					  patternmessage.html('این الگو در دسترس شما نیست.');
				  }
				}
			});
		});
	});
});

</script>
<style>
.pattern-wizard {
	background: #2700ff;
	border-radius: 5px;
	margin: 5px;
	display: inline-block;
	padding: 5px 10px;
	color: #fff;
	font-weight: bold;
	font-size: 14px;
	cursor: pointer;
}
.panel-modal {
	border: 1px solid #ddd;
	background: #dfdfdf;
	width: 100%;
	padding: 10px;
	direction: rtl;
	font-size: 14px;
	display:none;
}
.panel-modal .pattern-message {
	background: #eee;
	padding: 10px;
	border-radius: 10px;
	color: blue;
}
.onlinepattern {
	background: #fff;
	padding: 10px;
	border-radius: 5px;
}
.onlinepattern label {
	display: inline-block;
	padding: 0 0 0 10px;
}
.panel-modal label {
	min-width: 100px;
}
.panel-modal input {
    border: 1px solid #aaa;
    padding: 5px 8px;
    width: 220px;
    display: inline-block;
}
.panel-modal .hidden{
	display: none;
}
.onlinepattern .form-group {
    margin: 0 0 10px 0;
}
.panel-modal .onlinepcodechecker,.panel-modal .patterninsert {
	padding: 4px;
	margin: 0 5px;
}
.pcodecheckresult div {
	margin-bottom: 5px;
}
</style>
<?php echo $footer; ?>
